/*EXTRACT.CMD


        Extracts relavent settings from Dial Other Service Providers INI file.

        Copyright 1996, Rollin White

        For use by SCOUG Internet Project only

============================= LEGAL STUFF ================================
THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
==========================================================================


In other words, if you break it - you can keep both halves.



 */

say "============================= LEGAL STUFF ================================  "
say "THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,  "
say "INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY    "
say "AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL     "
say "THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,  "
say "SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,"
say "PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; "
say "OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,    "
say "WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR   "
say "OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF    "
say "ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                                "
say "=========================================================================="



call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

Etc =  value('ETC',,'OS2ENVIRONMENT')

if LASTPOS('\', Etc) == LENGTH(Etc) then
        Etc = SUBSTR(Etc, 1, LENGTH(Etc) - 1)

INIFile = Etc||'\TCPOS2.INI'

rc = SysIni(INIFile, 'ALL:', 'Apps')

say 'Settings, in approximately the same order as the settings notebook:'
do Index = 1 to Apps.0
        if (Apps.Index \= 'CONNECTION' & Apps.Index \= 'LAN') then do

                say ''
                say 'Service Provider: 'Apps.Index
                say '----------------------------------------------------------'
                Gopher = SysIni(INIFile, Apps.Index, 'DEFAULT_GOPHER')
                News = SysIni(INIFile, Apps.Index, 'DEFAULT_NEWS')
                WWW = SysIni(INIFile, Apps.Index, 'DEFAULT_WWW')
                DestIP = SysIni(INIFile, Apps.Index, 'DESTIP')
                DNS = SysIni(INIFile, Apps.Index, 'DNS')
                Domain = SysIni(INIFile, Apps.Index, 'DOMAIN_NAME')
                Host = SysIni(INIFile, Apps.Index, 'HOSTNAME')
                MailGW = SysIni(INIFile, Apps.Index, 'MAIL_GW')
                MTU = SysIni(INIFile, Apps.Index, 'MTU_SIZE')
                NetMask = SysIni(INIFile, Apps.Index, 'NETMASK')
                Phone = SysIni(INIFile, Apps.Index, 'PHONE_NUMBER')
                POPSrvr = SysIni(INIFile, Apps.Index, 'POPSRVR')
                POP_ID = 'Put your id here'
                POP_PWD = 'Put your password here'
                Provider = SysIni(INIFile, Apps.Index, 'PROVIDER')
                Reply_Domain = SysIni(INIFile, Apps.Index, 'REPLY_DOMAIN')
                Reply_ID = SysIni(INIFile, Apps.Index, 'REPLY_ID')
                Script = SysIni(INIFile, Apps.Index, 'SCRIPT')
                Service = SysIni(INIFile, Apps.Index, 'SERVICE')
                VJ = SysIni(INIFile, Apps.Index, 'VJ_COMP')
                YourIP = SysIni(INIFile, Apps.Index, 'YOURIP')



                say ''
                say 'Login Info'
                say '----------'
                say 'Provider Name: 'Provider
                say 'Phone Number: 'Phone
                say 'Script: 'Script
                say 'Service type:'Service

                say ''
                say 'Connect Info'
                say '-------------'
                say 'Your IP Address: 'YourIP
                say 'Destination IP: 'DestIP
                say 'Netmask: 'NetMask
                say 'MTU: 'MTU
                say 'VJ Compression on? 'VJ
                say 'Domain Name Server(DNS): 'DNS
                say 'Hostname: 'Host
                say 'Domain: 'Domain

                say ''
                say 'Server Info'
                say '-----------'
                say 'News Server:'News
                say 'Gopher Server: 'Gopher
                say 'WWW Server: 'WWW
                say 'Mail Gateway'MailGW
                say 'POP Mail Server: 'POPSrvr
                say 'Mail reply domain name: 'Reply_Domain
                say 'Mail reply ID: 'Reply_ID
                say 'POP Mail ID: 'POP_ID
                say 'POP Mail Password: 'POP_PWD






        end
end













